Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 4.0.103
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je
Class DeleteConstraintException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.sleepycat.je.DatabaseException
                      com.sleepycat.je.OperationFailureException
                          com.sleepycat.je.SecondaryReferenceException
                              com.sleepycat.je.SecondaryConstraintException
                                  com.sleepycat.je.DeleteConstraintException

All Implemented Interfaces:
  Serializable

    public class DeleteConstraintException

extends SecondaryConstraintException

Thrown when an attempt is made to delete a key from a foreign key database, when that key is referenced by a secondary database, and the secondary is configured to cause an abort in this situation.

When using the base API (`com.sleepycat.je`), this can occur when a `SecondaryDatabase` is configured to be associated with a foreign key database (see `SecondaryConfig.setForeignKeyDatabase(com.sleepycat.je.Database)`), and is also configured with the `ForeignKeyDeleteAction.ABORT` delete action (see `SecondaryConfig.setForeignKeyDeleteAction(com.sleepycat.je.ForeignKeyDeleteAction)`). Note that `ABORT` is the default setting.

When using the DPL (`com.sleepycat.persist`), this can occur when a `SecondaryKey` is defined with a `SecondaryKey.relatedEntity()`, and `SecondaryKey.onRelatedEntityDelete()` is `DeleteAction.ABORT` (which is the default).

The `Transaction` handle is invalidated as a result of this exception.

Since:
  4.0
See Also:
  Special considerations for using Secondary Databases with and without Transactions, Serialized Form

Method Summary

Methods inherited from class com.sleepycat.je.SecondaryReferenceException
`getPrimaryKey, getSecondaryDatabaseName, getSecondaryKey`

Methods inherited from class com.sleepycat.je.DatabaseException
`getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 4.0.103
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Oracle. All rights reserved.